%define major	0
%define libname	%mklibname ventrilo3_ %{major}
%define devname	%mklibname ventrilo3 -d

Summary:	Open Source VOIP client for gaming
Name:		mangler
Version:	1.2.5
Release:	%mkrel 10
Group:		Networking/Other
License:	GPLv3
URL:		http://www.mangler.org/
Source0:	http://www.mangler.org/%{name}-%{version}.tar.gz
Source1:	%{name}.png
Patch1:		mangler-1.2.5-gcc5.patch
BuildRequires:	desktop-file-utils
BuildRequires:	freetype-devel
BuildRequires:	g15daemon_client-devel
BuildRequires:	g15render-devel
BuildRequires:	gvfs-devel
BuildRequires:	gsm-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	pkgconfig(cairomm-1.0)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(pixman-1)
BuildRequires:	pkgconfig(pangomm-1.4)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)

%description
Mangler is an Open source VOIP client capable of connecting to Ventrilo 3.x
servers. It is capable of performing almost all standard user functionality
found in a Windows Ventrilo client.

%package -n %{libname}
Summary:	Shared libraries from %{name} project
Group:		System/Libraries
Conflicts:	%{name} < 1.2.5-5

%description -n %{libname}
This package contains the shared libraries from %{name} project.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ventrilo3-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel < 1.2.5-5

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Mangler
GenericName=VOIP Client
Comment=Voice chat on Ventrilo 3.x servers
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
Type=Application
Categories=GTK;Network;
EOF

#remove
rm -f %{buildroot}%{_datadir}/pixmaps/*.svg

#icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc COPYING AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}*

%files -n %{libname}
%{_libdir}/libventrilo3.so.%{major}
%{_libdir}/libventrilo3.so.%{major}.*

%files -n %{devname}
%{_libdir}/libventrilo3.so
%{_includedir}/ventrilo3.h


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.2.5-10.mga6
+ Revision: 961355
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 1.2.5-9.mga6
+ Revision: 870912
- compile C++ code with -std=gnu++11
- patch2: fix warning about putting values 127-255 in a (signed) char array

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-8.mga5
+ Revision: 746171
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-7.mga5
+ Revision: 682161
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 wally <wally> 1.2.5-6.mga5
+ Revision: 661364
- enable pulse, dbus and logitech g15 support

* Sun Aug 10 2014 wally <wally> 1.2.5-5.mga5
+ Revision: 661351
- split out the library
- fix devel pkg name

* Sat Jul 19 2014 daviddavid <daviddavid> 1.2.5-4.mga5
+ Revision: 653746
- fix name for BR gvfs-devel instead of libgvfs-devel
- disable build of static package (unneeded)
- change for %%makeinstall_std macro

* Sat Oct 19 2013 umeabot <umeabot> 1.2.5-3.mga4
+ Revision: 522575
- Mageia 4 Mass Rebuild

* Tue Mar 19 2013 juancho <juancho> 1.2.5-2.mga3
+ Revision: 404096
- Added missin BR for libalsa-devel to fix bug #9374: No alsa support in mangler

* Thu Feb 07 2013 juancho <juancho> 1.2.5-1.mga3
+ Revision: 395054
- Updated to 1.2.5 (bugfix release)

* Mon Jan 14 2013 juancho <juancho> 1.2.4-1.mga3
+ Revision: 388115
- Added missing BR librsvg2-devel
- imported package mangler


* Fri Nov 18 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.2.2-1
+ Revision: 731513
- imported package mangler

